package com.zhaoliangsz.grainsearch.basic.advice;

import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import java.util.HashMap;
/**
 * @author : zyw
 * @date : 2023/8/17 17:16
 * @description:
 */
@ControllerAdvice
@ResponseBody
public class ExceptionAdvice {

    //处理 Exception 异常
    @ExceptionHandler(Exception.class)
    public HashMap<String,Object> doException(Exception e){
        //处理
        HashMap<String,Object> result = new HashMap<>();
        result.put("code",500);
        result.put("msg","系统异常：" + e.getMessage());
        result.put("data",null);
        return result;
    }
    //处理 ServiceException 异常
    @ExceptionHandler(ServiceException.class)
    public HashMap<String,Object> doException(ServiceException e){
        //处理
        HashMap<String,Object> result = new HashMap<>();
        result.put("code",e.getCode());
        result.put("msg",e.getMessage());
        result.put("data",null);
        return result;
    }
}