package com.zhaoliangsz.grainsearch.basic.advice;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.MethodParameter;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.server.ServerHttpRequest;
import org.springframework.http.server.ServerHttpResponse;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.servlet.mvc.method.annotation.ResponseBodyAdvice;

import javax.annotation.Resource;
import java.util.HashMap;

/**
 * @author : zyw
 * @date : 2023/8/17 17:18
 * @description:
 */
@ControllerAdvice
public class ResponseAdvice implements ResponseBodyAdvice {
    @Resource
    private ObjectMapper objectMapper;
    /**
     * @return 如果为 true，就执行 beforeBodyWrite
     */
    @Override
    public boolean supports(MethodParameter returnType, Class converterType){
        return true;
    }

    /**
     * 返回数据之前进行数据重写
     * @param body 原始返回值
     * @return
     */
    @Override
    public Object beforeBodyWrite(Object body, MethodParameter returnType,
                                  MediaType selectedContentType, Class selectedConverterType,
                                  ServerHttpRequest request, ServerHttpResponse response) {

        // 在返回数据之前进行处理，可以修改、包装响应体，添加额外信息等
        // 这里可以对返回的数据进行统一的格式处理
//        if(body instanceof HashMap){
//            // 如果已经是统一响应格式，则直接返回
//            //取出后端响应结果 修改http状态码
//            response.setStatusCode(HttpStatus.valueOf(401));
//            return body;
//        }
        // 如果不是统一响应格式，则进行包装
//        HashMap<String,Object> result = new HashMap<>();
//        result.put("code",200);
//        result.put("data",body);
//        result.put("msg","执行成功");
//        if(body instanceof String){
//            //将 HashMap 转换为 json 字符串
//            try {
//                return objectMapper.writeValueAsString(request);
//            } catch (JsonProcessingException e) {
//                throw new RuntimeException(e);
//            }
//        }
        return body;
    }
}
