package com.zhaoliangsz.grainsearch.controller;


import org.springframework.web.bind.annotation.RequestMapping;
import lombok.extern.slf4j.Slf4j;
import javax.annotation.Resource;
import com.zhaoliangsz.grainsearch.service.ITestTableService;
import org.springframework.web.bind.annotation.*;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.zhaoliangsz.grainsearch.domain.entity.TestTable;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zyw
 * @since 2023-08-21 14:40:08
 */
@RestController
@Slf4j
@RequestMapping("/v1/testTable")
public class TestTableController {
    @Resource
    private ITestTableService myITestTableService;
    /**
     * 获取TestTable
     * @return
     */
    @GetMapping
    public PageResult<TestTable> queryTestTableList(TestTable queryTestTable) throws ServiceException {
        log.info("[TestTableController.queryTestTableList]获取TestTable列表开始参数:{}",queryTestTable);
        PageResult<TestTable> page = myITestTableService.queryTestTableList(queryTestTable);
        log.info("[TestTableController.queryTestTableList]获取TestTable列表结束结果:{}",page);
        return page;
    }
    /**
     * 新增TestTable
     * @return
     */
    @PostMapping
    public String addTestTable(@RequestBody TestTable addTestTable) throws ServiceException {
        log.info("[TestTableController.addTestTable]新增TestTable开始addTestTable:{}",addTestTable);
        String result = myITestTableService.addTestTable(addTestTable);
        log.info("[TestTableController.addTestTable]新增TestTable结束结果:{}",result);
        return result;
    }
    /**
     * 编辑TestTable
     * @return
     */
    @PutMapping
    public String editTestTable(@RequestBody TestTable editTestTable) throws ServiceException {
        log.info("[TestTableController.editTestTable]编辑TestTable开始参数:{}",editTestTable);
        String result = myITestTableService.editTestTable(editTestTable);
        log.info("[TestTableController.editTestTable]编辑TestTable结束结果:{}",result);
        return result;
    }
    /**
     * 删除TestTable
     * @return
     */
    @DeleteMapping
    public String deleteTestTable(@RequestBody TestTable deleteTestTable) throws ServiceException {
        log.info("[TestTableController.deleteTestTable]删除TestTable开始参数:{}",deleteTestTable);
        String result = myITestTableService.deleteTestTable(deleteTestTable);
        log.info("[TestTableController.deleteTestTable]删除TestTable结束结果:{}",result);
        return result;
    }


}

