package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zhaoliangsz.grainsearch.basic.constants.DateConstants;
import com.zhaoliangsz.grainsearch.domain.entity.BaseDO;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author zyw
 * @since 2023-09-27 10:12:06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("inventory_table")
public class InventoryTable extends BaseDO<InventoryTable> {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    @TableField("date")
    @JsonFormat(pattern = DateConstants.YEAR_MONTH_DAY, timezone = DateConstants.TIMEZONE,shape=JsonFormat.Shape.STRING)
    private LocalDate date;

    @TableField("out_num")
    private Double outNum;
    @TableField("in_num")
    private Double inNum;
    @TableField("inventory")
    private Double inventory;
    @TableField("create_by")
    private String createBy;
    @TableField("create_time")
    private Date createTime;
    @TableField("update_by")
    private String updateBy;
    @TableField("update_time")
    private Date updateTime;
    @TableField("has_deleted")
    @TableLogic
    private Integer hasDeleted;


}
