package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zhaoliangsz.grainsearch.basic.constants.DateConstants;

import java.beans.Transient;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author zyw
 * @since 2023-08-21 14:40:08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("test_table")
public class TestTable extends BaseDO<TestTable> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 内容
     */
    @TableField("content")
    private String content;
    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Long creatorId;
    /**
     * 时间
     */
    @TableField("date")
    @JsonFormat(pattern = DateConstants.YEAR_MONTH_DAY, timezone = DateConstants.TIMEZONE,shape=JsonFormat.Shape.STRING)
    private LocalDate date;
    /**
     * 类型
     */
    @TableField("type")
    private String type;
    /**
     * 班组
     */
    @TableField("banzu")
    private String banzu;
    /**
     * 班次
     */
    @TableField("banci")
    private String banci;
    /**
     * 巴西(吨)
     */
    @TableField("filed1")
    private Double filed1;
    /**
     * 中美洲(吨)
     */
    @TableField("filed2")
    private Double filed2;
    /**
     * 回溶(吨)
     */
    @TableField("filed3")
    private Double filed3;
    /**
     * 加工糖100%(吨)
     */
    @TableField("filed4")
    private Double filed4;
    /**
     * 非食用糖92%(吨)
     */
    @TableField("filed5")
    private Double filed5;
    /**
     * 国储(吨)
     */
    @TableField("filed6")
    private Double filed6;
    /**
     * 出库合计
     */
    @TableField("total")
    private Double total;
    /**
     * 入库量
     */
    @TableField("in_num")
    private Double inNum;

    @TableField(exist = false)
    private String password;

    @TableField("create_by")
    private String createBy;
    @TableField("create_time")
    private Date createTime;
    @TableField("update_by")
    private String updateBy;
    @TableField("update_time")
    private Date updateTime;
    @TableField("has_deleted")
    @TableLogic
    private Integer hasDeleted;



}
